/***********************************************************************//**
 * @file		aux_math_lib.c
 * @brief		Contains others math functions (atan, arcsin, sqrt)
 * @version		1.0
 * @date		26. February. 2014
 * @author		Michal Semrad
 **************************************************************************/


#ifndef AUX_LIB_H
#define AUX_LIB_H

#include "LPC17xx.h"
#include "arm_math.h"

#define SQRT10 3.16228

uint16_t atan2Lookup(int x, int y);

uint16_t division(int num, int den, const int bits);

float sqrt_my (float in);

uint16_t arcsin(float in);

int16_t cos_q15(uint32_t x);

int16_t sin_q15(uint32_t x);

#endif /* AUX_LIB_H */
